Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem
Class WorkDefinitionImpl

    java.lang.Object
      org.drools.core.process.core.impl.WorkDefinitionImpl
          org.drools.core.process.core.impl.WorkDefinitionExtensionImpl
              org.jbpm.process.workitem.WorkDefinitionImpl

All Implemented Interfaces:
  Serializable, org.drools.core.process.core.WorkDefinition, org.drools.core.process.core.WorkDefinitionExtension

    public class WorkDefinitionImpl

extends org.drools.core.process.core.impl.WorkDefinitionExtensionImpl

See Also:
  Serialized Form

Constructor Summary
`WorkDefinitionImpl()`

Method Summary
`String` | `getCategory()`
`String` | `getDefaultHandler()`
`String[]` | `getDependencies()`
`String` | `getDocumentation()`
`String` | `getFile()`
`String` | `getIconEncoded()`
`String` | `getPath()`
`void` | `setCategory(String category)`
`void` | `setDefaultHandler(String defaultHandler)`
`void` | `setDependencies(String[] dependencies)`
`void` | `setDocumentation(String documentation)`
`void` | `setFile(String file)`
`void` | `setIconEncoded(String iconEncoded)`
`void` | `setPath(String path)`

Methods inherited from class org.drools.core.process.core.impl.WorkDefinitionExtensionImpl
`getCustomEditor, getDisplayName, getExplanationText, getIcon, setCustomEditor, setDisplayName, setExplanationText, setIcon`

Methods inherited from class org.drools.core.process.core.impl.WorkDefinitionImpl
`addParameter, addResult, getName, getParameter, getParameterNames, getParameters, getResult, getResultNames, getResults, removeParameter, removeResult, setName, setParameters, setResults, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkDefinitionImpl

    public WorkDefinitionImpl()

Method Detail

### getDocumentation

    public String getDocumentation()

### setDocumentation

    public void setDocumentation(String documentation)

### getFile

    public String getFile()

### setFile

    public void setFile(String file)

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getDependencies

    public String[] getDependencies()

### setDependencies

    public void setDependencies(String[] dependencies)

### getDefaultHandler

    public String getDefaultHandler()

### setDefaultHandler

    public void setDefaultHandler(String defaultHandler)

### getIconEncoded

    public String getIconEncoded()

### setIconEncoded

    public void setIconEncoded(String iconEncoded)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.